(define-module (glicid services virtualization)
  #:use-module (gnu services)
  #:use-module (gnu services shepherd)
  #:use-module ((gnu services virtualization) #:prefix gnu:)
  #:use-module ((gnu packages virtualization) #:prefix gnu:)
;  #:use-module (guix records)
;  #:use-module (guix utils)
  #:use-module (guix gexp) ;; file-like?
  #:use-module (gnu services configuration) ;; define-configuration


  #:export (qemu-guest-agent-service-type)
)



(define (qemu-guest-agent-shepherd-service config)
 (inherit gnu:qemu-guest-agent-shepherd-service)
 (requirement '(udev)) ;; GLiCID

)

(define qemu-guest-agent-service-type
  (service-type
   (inherit gnu:qemu-guest-agent-service-type)
   (extensions
    (list (service-extension shepherd-root-service-type
                             qemu-guest-agent-shepherd-service)))
  ))
  
;   (name 'qemu-guest-agent)
;   (extensions
;    (list (service-extension shepherd-root-service-type
;                             qemu-guest-agent-shepherd-service)))
;   (default-value (gnu:qemu-guest-agent-configuration))
;   (description "Run the QEMU guest agent.")))
